Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Emege] Problème d'emerge après un MAJ du portage !!
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
kernings
n00b
n00b


Joined: 14 Nov 2007
Posts: 36

PostPosted: Mon Feb 18, 2008 1:26 pm    Post subject: [Emege] Problème d'emerge après un MAJ du portage !! Reply with quote

Bonjour à tous,

voila je viens de mettre à jour mon portage sous gentoo avec "emerge --sync" ensuite dès que j'essai d'utiliser emerge pour n'importe quel logiciel j'ai l'erreur suivante :

Code:
Do you want me to merge these packages? [Yes/No] Y
>>> emerge (1 of 3) dev-libs/openssl-0.9.8g to /
!!! No package digest file found: /usr/portage/dev-libs/openssl/files/digest-openssl-0.9.8g
!!! Type "ebuild foo.ebuild digest" to generate it.



Si vous savez quoi faire ??
Merci d'avance
Back to top
View user's profile Send private message
geekounet
Bodhisattva
Bodhisattva


Joined: 11 Oct 2004
Posts: 3772
Location: Wellington, Aotearoa

PostPosted: Mon Feb 18, 2008 1:32 pm    Post subject: Reply with quote

Faudrait tenir ta Gentoo plus souvent à jour que ça...
Code:
# emerge -u portage

En faisant les digest comme il vient de t'indiquer, sur chaque paquet qui sera mis à jour. Et une fois que portage sera à jour, t'auras plus besoin de faire ces digest.

Et conseil pour la suite, essaie de tenir ta Gentoo à jour au minimum tous les mois pour ne pas avoir de mauvaises surprises comme ça, et avec une bonne mise à jour complète par un emerge -auDN world
Back to top
View user's profile Send private message
kernings
n00b
n00b


Joined: 14 Nov 2007
Posts: 36

PostPosted: Mon Feb 18, 2008 1:47 pm    Post subject: Reply with quote

Alala, merci pour ta réponse. En fait je viens d'installer un serveur dédié OVH par défaut, j'essai donc de commencer par le mettre à jour et il a pas aimé la mise à jour du portage. Les commandes que tu indiques ne fonctionnent pas :

Code:
# emerge -u portage


me donne :

Code:
ks312777 files # emerge -u portage
--- Invalid atom in /etc/portage/package.unmask: www-apache/mod_suphp-0.6.2-r3
Calculating dependencies ...done!
>>> emerge (1 of 37) sys-libs/gpm-1.20.1-r6 to /
!!! No package digest file found: /usr/portage/sys-libs/gpm/files/digest-gpm-1.20.1-r6
!!! Type "ebuild foo.ebuild digest" to generate it.


Code:
emerge -auDN world


Trouve un conflit
Code:

ks352777 files # emerge -auDN world
--- Invalid atom in /etc/portage/package.unmask: www-apache/mod_suphp-0.6.2-r3

These are the packages that I would merge, in order:

Calculating world dependencies ...done!

[blocks B     ] sys-apps/pam-login (is blocking sys-apps/shadow-4.0.18.1-r1)
[blocks B     ] <=app-crypt/gnupg-2.0.1 (is blocking app-crypt/gnupg-2.0.7)
[ebuild     U ] sys-libs/zlib-1.2.3-r1 [1.2.3]
[ebuild     U ] sys-libs/gpm-1.20.1-r6 [1.20.1-r4]
[ebuild     U ] sys-libs/ncurses-5.6-r2 [5.4-r6]


Apparament problème sur ces 2 paquets qui sont bloqués ?

Ah c balo, comment ça se fait que la MAJ du portage provoque ça ?
Back to top
View user's profile Send private message
kernings
n00b
n00b


Joined: 14 Nov 2007
Posts: 36

PostPosted: Mon Feb 18, 2008 2:08 pm    Post subject: Reply with quote

Ah j'ai trouver les commandes ebuilds pour faire fonctionner ... Mais c'est le méga bordel !!! s'il faut faire ça pour tous les logiciels ... jsuis pas sortie, y'a pas un moyen de le faire automatiquement ... qu'est ce qui se passe ????? Sinon le "emerge -auDN world" ne marche pas !!
Back to top
View user's profile Send private message
Temet
Advocate
Advocate


Joined: 14 Mar 2006
Posts: 2586
Location: 92

PostPosted: Mon Feb 18, 2008 2:28 pm    Post subject: Reply with quote

pam-login n'existe plus depuis... des mois et des mois!!
Il a été intégré à shadow.
Vire pam-login et tu peux faire la mise à jour.
Attention, si tu vires pam-login et que tu te délogues avant d'avoir mis à jour shadow et (sans doute) d'avoir fait un etc-update ou dispatch-conf, tu ne pourras sans doute plus te logguer sur ton pc si tu fermes ta session.
En gros, si tu fais une connerie, je t'aurais prévenu :lol:
_________________
Full Gentoo powered.
Back to top
View user's profile Send private message
yoyo
Bodhisattva
Bodhisattva


Joined: 04 Mar 2003
Posts: 4273
Location: Lyon - France

PostPosted: Mon Feb 18, 2008 2:49 pm    Post subject: Reply with quote

kernings wrote:
Code:
# emerge -u portage
me donne :
Quote:
ks312777 files # emerge -u portage
Calculating dependencies ...done!
>>> emerge (1 of 37) sys-libs/gpm-1.20.1-r6 to /
!!! No package digest file found: /usr/portage/sys-libs/gpm/files/digest-gpm-1.20.1-r6
!!! Type "ebuild foo.ebuild digest" to generate it.
Vache ! La version OVH semble outdated ... Personnellement, je passerai par un stage3 plus récent avant de faire la mise à jour (par exemple celui d'Anigel; il a peut-être fait un stage3 pour d'autres architectures (amd64 par exemple) tu peux lui demander si besoin). Car en plus du risque pris avec "pam-login" et shadow" tu vas probablement buter sur "libexpat" qui est assez me***dique à mettre à jour (surtout sur un serveur distant). Et ça t'éviterai aussi probablement de faire les digests des 37 paquets pour mettre à jour portage.

Quant au :
kernings wrote:
Code:

ks352777 files # emerge -auDN world
--- Invalid atom in /etc/portage/package.unmask: www-apache/mod_suphp-0.6.2-r3
amha il doit manquer un "=" devant le "www-apache/mod_suphp-0.6.2-r3" dans le fichier "/etc/portage/package.unmask" (si le package.unmask supporte le versioning). Et après un rapide coup d'œuil, il semble que ce paquet ne soit plus masqué mais juste "tilchardé", tu peux donc virer cette ligne de ton "/etc/portage/package.unmask".

Enjoy !
_________________
La connaissance s'accroît quand on la partage.
JCB
Back to top
View user's profile Send private message
geekounet
Bodhisattva
Bodhisattva


Joined: 11 Oct 2004
Posts: 3772
Location: Wellington, Aotearoa

PostPosted: Mon Feb 18, 2008 2:58 pm    Post subject: Reply with quote

La Gentoo d'OVH.... ok t'es mal parti :) c'est quasiment impossible de la maintenir à jour pour retrouver une Gentoo propre, tu vas en rencontrer pas mal des galères comme ça (parce que configuration foireuse et très sale, overlay foireux d'OVH, trous de sécu partout, etc.). Je te conseille plutôt de la réinstaller depuis une base propre, sans la version spéciale d'OVH, sans leur overlay foireux, en lisant bien le handbook pour comprendre le fonctionnement de Portage, en partant d'un stage3 récent comme celui d'Anigel comme te conseille Yoyo, ou celui de Funtoo.org, et après tout ça ta Gentoo ira bien mieux ;)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum